<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>
      {% block title %}
        Votação
      {% endblock %}
    </title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.1/css/all.min.css" integrity="sha512-DTOQO9RWCH3ppGqcWaEA1BIZOC6xxalwEsw9c2QQeAIftl+Vegovlnee1c9QX4TctnWMn13TZye+giMm8e2LwA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>
  </head>
  <body>
    {% block body %}
      <section id="header" class="container">
        {% block header %}
          <nav class="navbar navbar-light bg-light navbar-expand-lg">
            <div class="container-fluid">
              <a class="navbar-brand" href="/">
                <i class="fa-solid fa-house"></i>
                Home
              </a>
              <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="true" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
              <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
                  {% if request.user.is_authenticated %}
                    {% if request.user.is_staff %}
                      <li class="nav-item">
                        <a class="nav-link" href="{% url 'admin:index' %}">
                          <i class="fa-solid fa-user-tie"></i>
                          Admin
                        </a>
                      </li>
                    {% endif %}
                    <li class="nav-item">
                      <form action="{% url 'votes:logout' %}" method="POST">
                        {% csrf_token %}
                        <button type="submit" class="nav-link btn btn-button">
                          <i class="fa-solid fa-right-from-bracket"></i>
                          Logout
                        </button>
                      </form>
                    </li>
                  {% else %}
                    <li class="nav-item">
                      <a class="nav-link" href="{% url 'login' %}">
                        <i class="fa-solid fa-right-to-bracket"></i>
                        Login
                      </a>
                    </li>
                  {% endif %}
                </ul>
              </div>
            </div>
          </nav>
        {% endblock %}
      </section>
      <section id="content" class="container">
        {% block content %}

        {% endblock %}
      </section>
      <section id="footer"></section>
    {% endblock %}
  </body>
</html>
